> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataraven.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete API Key

> Hard delete an API key (permanent removal).

**Required Role:** ADMIN or OWNER



## OpenAPI

````yaml DELETE /v1/teams/{team_id}/api-keys/{api_key_id}
openapi: 3.1.0
info:
  title: Data Raven API
  description: Cloud-to-cloud data transfer platform powered by RClone
  version: 0.5.0
servers: []
security: []
paths:
  /v1/teams/{team_id}/api-keys/{api_key_id}:
    delete:
      tags:
        - API Keys
      summary: Delete Api Key
      description: |-
        Hard delete an API key (permanent removal).

        **Required Role:** ADMIN or OWNER
      operationId: delete_api_key_v1_teams__team_id__api_keys__api_key_id__delete
      parameters:
        - name: api_key_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Api Key Id
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      responses:
        '204':
          description: Successful Response
        '404':
          description: API key not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````